


XPICK(1)                 USER COMMANDS                      local



NAME
     xpick - pick arguments via an X window

SYNOPSIS
     xpick [ -toolkit option] [ -n ] [ - | arg ... ]

DESCRIPTION
     _x_p_i_c_k displays a window containing its  arguments,  each  of
     which  is  selectable  by  clicking mouse button 1. Clicking
     with  mouse button 1 on an already selected  item  deselects
     it.   Clicking  with  mouse button 3 extends or reduces con-
     tiguous selections.

     Hitting the ok command button causes the selected  arguments
     to be echoed to standard output and xpick to terminate.

     The set, clear and  invert buttons each change the selection
     state  of  the  arguments  according  to the pattern in text
     widget to their right. All arguments are compared  with  the
     pattern and matching items set, cleared, or inverted accord-
     ingly. Pattern matching follows that of  sh(1)  except  that
     the empty pattern matches everything and ~ or ^ as well as !
     may be used for character class negation.

     If the user resizes the xpick  window  then  the  number  of
     columns  displayed  is adjusted to fit the new window width,
     and a vertical scroll bar added if necessary.

OPTIONS
     -         Offer each line of standard input, rather than the
               arguments, for selection.

     -n        Display in _n columns.

EXAMPLE
     rm `xpick *`

     or perhaps

     rm `ls -ld *  | xpick -1 - | awk '{print $8}'`

ACCELERATORS
     All keyboard input is directed to the pattern  text  widget.
     Typing  <return>  is  equivalent  to hitting the set command
     button.

WIDGETS
     In order to specify further resources, it is useful to  know
     the  hierarchy  of  the widgets which compose xpick.  In the
     notation below, indentation  indicates  hierarchical  struc-
     ture.  The widget class name is given first, followed by the
     widget instance name.



ReadyPak                                                        1






XPICK(1)                 USER COMMANDS                      local



     Xpick  xpick
             Paned  vpaned
                     Paned  hpaned
                             Command  ok
                             Command  set
                             Command  clear
                             Command  invert
                             Text  pattern
                     Viewport  viewport
                             MultiList  multiList


USEFUL RESOURCES (with typical default setting)
     *multiList.defaultColumns:4

RESTRICTIONS
     Pattern meta characters cannot be escaped.

SEE ALSO
     sh(1), X(1) Athena Widget Set

AUTHOR
     Gerry Tomlinson (gerry.tomlinson@newcastle.ac.uk)

COPYRIGHT
     Copyright 1993, The Computing Laboratory, University of New-
     castle Upon Tyne

ACKNOWLEDGMENTS
     Xpick is based on pick, described in "The  Unix  Programming
     Environment",  by  B.W.  Kernighan  & R. Pike, & included in
     Unix V8.
     It   uses   the   Multilist   widget    by    Brian    Totty
     <totty@cs.uiuc.edu>  from  the Free Widget Foundation widget
     set.
     The pattern matching code is adapted from  that  of  the  rc
     shell by Byron Rakitzis <byron@archone.tamu.edu>.


















ReadyPak                                                        2



